For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Pods
      • GETGet Pod
      • POSTCreate Pod
      • DELDelete Pod
        • GETList API Keys
        • POSTCreate API Key
        • DELDelete API Key
LogoLogo
contact@agentmail.ccDiscord
API ReferencePodsAPI Keys

Delete API Key

DELETE
/v0/pods/:pod_id/api-keys/:api_key_id
DELETE
/v0/pods/:pod_id/api-keys/:api_key_id
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.pods.api_keys.delete(
8 pod_id="pod_id",
9 api_key_id="api_key_id",
10)
**CLI:** ```bash agentmail pods:api-keys delete --pod-id <pod_id> --api-key-id <api_key_id> ```
Was this page helpful?
Previous

Get Organization

Next
Built with

CLI:

$agentmail pods:api-keys delete --pod-id <pod_id> --api-key-id <api_key_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pod_idstringRequired
ID of pod.
api_key_idstringRequired
ID of api key.

Errors

404
Not Found Error